(function() {

    'use strict';

    angular.module('myApp.models.feedback', [])
        .factory('FeedbackSvc', function ($http, endpointUrl) {
            return {
                loadFeedback: function () {
                    return $http.get(endpointUrl + '/rest/pugService/feedback').then(function(response) {
                        return response.data.dsFeedback.ttFeedback;
                    });
                }
            };
        });
})();