(function() {

    'use strict';

    angular.module('myApp.models.order', [])
        .factory('OrderSvc', function ($http, endpointUrl) {
            return {
                loadCustomerOrders: function(custNum) {
                    return $http.get(endpointUrl + '/rest/pugService/order',
                        {params: {custNum: custNum}}).then(function(response) {
                            return response.data.dsOrder.ttOrder;
                        });
                }
            }
        });
})();