(function() {

    'use strict';

    angular.module('myApp.customer.update', ['myApp.customer.update.ctrls'])
        .config(function($stateProvider) {
            $stateProvider
                .state('app.custupdate', {
                    url: "/update/:custNum",
                    views: {
                        'customer-tab': {
                            controller: 'CustomerUpdateCtrl as customerUpdateCtrl',
                            templateUrl: 'js/modules/customer/update/customer.update.tpl.html',
                            resolve: {
                                activeCustomer: function($stateParams, CustomerSvc) {
                                    return CustomerSvc.loadCustomer($stateParams.custNum);
                                }
                            }
                        }
                    }
                })
        });

})();